System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

In a visual designer, when you switch from Source to Design view, the markup source code that describes a control that is derived from the abstract class is parsed and a design-time version of the control is created on the design surface. When you switch back to Source view, the design-time control is persisted to markup source code and edited into the markup for the Web page. The objects provide design-time support for controls that are derived from the class in a visual designer.

The method gets the markup that is used to render the associated control at design time.

Provides design-time support in a visual designer for Web server controls that are derived from the class.

- Constructor

  The .NET Framework internally constructs a new instance of the class when it creates the associated control that is derived from the class or a copy of that control on the design surface.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  If the or property of the associated control that is derived from the class is an empty string (""), or if the property is set to the field, the method sets the property to the control ID, which is enclosed in brackets ([]) and sets the property to the field. The then calls the base method to generate the markup, and restores the control properties to their original values, if necessary.

  Gets the markup that is used to render the associated control at design time.

  A string containing the markup used to render the at design time.

  1.0.5000.0
  2.0.0.0